Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
truongkhai

hỏi về lệnh tắt của "break at point" trong thanh công cụ modify

Các bài được khuyến nghị

em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!

 

BR là lệnh tắc của Break, còn break at point thì ko biết ở đâu có lệnh đó cà! :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

lệnh break at point nằm cạnh lệnh break trong thanh công cụ modify của CAD2008 đó. mấy CAD cao hơn chạy giật giật nên e chưa dùng , chưa biết nằm đâu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!

Bạn sử dụng Lisp ở đây nhé:

http://www.cadviet.com/forum/index.php?showtopic=14925

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhanh hơn nữa thì :

(defun c:brf ()(command "_break" (car (nentselp (setq p (getpoint)) "\nDiem cat doi tuong :")) p "@"))

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em chưa thử lisp của anh Tuệ. Thấy bác Ketxu quảng cáo dùng thử thấy nhanh thí dụ cắt chính giữa 1 đoạn thẳng, chỉ cần gõ brf rồi cứa nhẹ một cái là đứt.

Không biết bác ketxu thể chỉnh sửa thêm để cắt được đường tròn hay không??? Nếu được thì vừa nhanh vừa đẹp trai hơn nữa!

Lệnh tắt của Break at Point cũng giống lệnh Break là br chỉ khác là dùng thêm tham số f:

Command: br

BREAK Select object:

Specify second break point or [First point]: f

Specify first break point:

Specify second break point:

 

So với lisp nó chậm hơn vì phải thao tác: gõ lệnh br > chọn đường thẳng > chọn f > chém đúp hai nhát vào điểm giữa nó mới đứt.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp này cũng hay, tiện đây nhờ bác viết luôn, em bỏ phiếu bầu cử cho bác trước!

 

Nhân nói đến bỏ phiếu, em chợt nhớ đến hai câu thơ Bút Tre , bác đọc cho vui nhé:

Ta đi bầu cử tự do

Chọn người xứng đáng ta cho vào...hòm! :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@haanh : Nếu bạn định cắt hình tròn bởi 2 điểm trên cung thì dễ r, còn nếu cắt tại 1 điểm như topic đề cập thì sau đó Circle sẽ bị biến thành gì ?

- Có 2 tình huống : 1 là nó sẽ biến thành Pline có 2 segment cong có 2 đầu (gần gần gần gần ... coi như là) chạm nhau

- 2 là biến thành 1 Arc có 2 đầu (gần gần gần gần ... coi như là) chạm nhau

=> CHọn cách 2 cho đơn giản nhé.

Quick :

(defun c:brf ()
(setq cv (car (setq sth (nentselp (setq p (getpoint)) "\nDiem cat doi tuong :"))))
(if (= (cdadr (entget cv)) "CIRCLE")
(command "_break" sth "f" (vlax-curve-getClosestPointTo cv p) (vlax-curve-getClosestPointTo cv (mapcar '- p '(0.01 0.01))))
(command "break" cv p "@")
)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

theo mình biết thi lệnh đó chỉ có biểu tượng trên thanh Modify thôi

chính là hình chữ nhật có 1 dấu chấm ở trên đó, bên cạnh lệnh BR

 

em search trên mạng mà sao ko thấy ở đâu có chỉ lệnh tắt của tiện ích break at point trong thanh công cụ modify của autoCAD. Có anh chị nào biết chỉ giúp em ko? tks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×